{
  "id":"FixedLengthFileSample-5ec94388",
  "name":"FixedLengthFileSample",
  "createBadRecordFile":true,
  "source":{
     "@type":"FIXED_LENGTH_FILE",
     "filepath":"fixed_length.txt",
     "lineSeparator":true,
     "hasHeaderRow":true,
     "columnCount":7,
           "encoding":"ibm500",
     "recordLength":59,
     "columnPositions":[
       {
        "column":0,
        "startIndex":0,
        "endIndex":10
       },
       {
        "column":1,
        "startIndex":10,
        "endIndex":20
       },
       {
        "column":2,
        "startIndex":20,
        "endIndex":26
       },
       {
        "column":3,
        "startIndex":26,
        "endIndex":32
       },
       {
        "column":4,
        "startIndex":32,
        "endIndex":39
       },
       {
       "column":5,
       "startIndex":39,
       "endIndex":48
       },
       {
       "column":6,
       "startIndex":48,
       "endIndex":59
      }
    ]
  },
  "destination":{
    "@type":"FIXED_LENGTH_FILE",
    "filepath":"output.txt"
},
"tables":[
  {
   "columns":[
       {
         "name":"latitude",
         "action":"ENCRYPT",
         "config":[
           {
              "@type":"FPE",
              "key":"KEY1",
              "tweak":"auto",
              "characterSet":"digits"
           }
        ]
     },
     {
         "name":"longitude",
         "action":"ENCRYPT",
         "config":[
           {
              "@type":"FPE",
              "key":"KEY1",
              "tweak":"auto",
              "characterSet":"digits"
           }
         ]
       }
     ]
   }
 ]
}